### Virtual Method

# FwupdPlugin Backend setup

#### Declaration [src]

    gboolean
    setup (
      FuBackend* self,
      FuBackendSetupFlags flags,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Sets up the backend ready for use, which typically calls the subclassed setup function. No devices should be added or removed at this point.

Available since: | 1.6.1

#### Parameters

`flags` | `FuBackendSetupFlags`
| Some `FuBackendSetupFlags`, e.g. `FU_BACKEND_SETUP_FLAG_USE_HOTPLUG`.
`progress` | `FuProgress`
| A `FuProgress`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.